/* Copyright (C) 1999 PLUS Group - University of Maryland
 *	
 * This software is provided under the terms of the GNU General Public
 * License Version 2, June 1991. See the header in KA_App.java
 * and the file License.html for details.
 */

package Annotator;

import UserInt.*;
import java.awt.*;

public class AboutWindow extends WorkaroundDialog {

  Button b_OK;

  public AboutWindow(Frame parent, String versionNum) {

    super(parent, "About Knowledge Annotator", true);

    Font titleFont = new Font("TimesRoman", Font.BOLD, 16);
    // textFont = new Font("Helvetica", Font.PLAIN, 12);
    Panel aboutPanel = new Panel();
    aboutPanel.setLayout(new GridBagLayout());
    //    textPanel.setFont(textFont);
    Label title = new Label("SHOE Knowledge Annotator", Label.CENTER);
    title.setFont(titleFont);
    Utilities.placeComponent(aboutPanel, title, 0,0,1,1);
    Label version = new Label("Version " + versionNum, Label.CENTER);
    Utilities.placeComponent(aboutPanel, version, 0,1,1,1);
    //    text = new TextArea("", 10, 20, TextArea.SCROLLBARS_NONE);
    TextArea text = new TextArea(10, 40);
    text.setBackground(Color.lightGray);
    text.setEditable(false);
    text.appendText("                        brought to you by:\n");
    text.appendText("\n");
    text.appendText("    The Parallel Understanding Systems Group\n");
    text.appendText("          Department of Computer Science\n");
    text.appendText("     University of Maryland at College Park\n");
    text.appendText("\n");
    text.appendText("        For more information on SHOE or the\n");
    text.appendText("              Knowledge Annotator, visit:\n");
    text.appendText("    http://www.cs.umd.edu/projects/plus/SHOE\n");
    Utilities.placeComponent(aboutPanel, text, 0,2,1,6);
    Panel butPanel = new Panel();
    b_OK = new Button("OK");
    butPanel.add(b_OK);
    Utilities.placeComponent(aboutPanel, butPanel, 0,8,1,1);

    add("Center", aboutPanel);
    setBackground(Color.lightGray);
    setForeground(Color.black);
    pack();
    resize(minimumSize());
  }

  public boolean action(Event e, Object arg) {

    Object target = e.target;

    if (target instanceof Button) {
      if (target == b_OK) {
	dispose();
	return true;
      }
    }
    return false;
  }
  
  public boolean handleEvent(Event event) {

    if (event.id == Event.WINDOW_DESTROY) {
      dispose();
    }
    return super.handleEvent(event);
  }

}  


